TQDM(1)

NAME

tqdm - fast, extensible progress bar for Python and CLI

SYNOPSIS

tqdm [options]

DESCRIPTION

See <https://github.com/tqdm/tqdm>. Can be used as a pipe:

    $ # count lines of code
    $ cat *.py | tqdm | wc -l
    327it [00:00, 981773.38it/s]
    327
    $ # find all files
    $ find . -name "*.py" | tqdm | wc -l
    432it [00:00, 833842.30it/s]
    432
    # ... and more info
    $ find . -name '*.py' -exec wc -l \{} \; \
      | tqdm --total 432 --unit files --desc counting \
      | awk '{ sum += $1 }; END { print sum }'
    counting: 100%|█████████| 432/432 [00:00<00:00, 794361.83files/s]
    131998

OPTIONS

-h, --help
    Print this help and exit

-v, --version
    Print version and exit

--desc=desc
    str, optional. Prefix for the progressbar.

--total=total
    int, optional. The number of expected iterations. If unspecified, len(iterable) is used if possible. As a last resort, only basic progress statistics are displayed (no ETA, no progressbar). If gui is True and this parameter needs subsequent updating, specify an initial arbitrary large positive integer, e.g. int(9e9).

--leave=leave
    bool, optional. If [default: True], keeps all traces of the progressbar upon termination of iteration.

--ncols=ncols
    int, optional. The width of the entire output message. If specified, dynamically resizes the progressbar to stay within this bound. If unspecified, attempts to use environment width. The fallback is a meter width of 10 and no limit for the counter and statistics. If 0, will not print any meter (only stats).

--mininterval=mininterval
    float, optional. Minimum progress display update interval, in seconds [default: 0.1].

--maxinterval=maxinterval
    float, optional. Maximum progress display update interval, in seconds [default: 10]. Automatically adjusts miniters to correspond to mininterval after long display update lag. Only works if dynamic_miniters or monitor thread is enabled.

--miniters=miniters
    int, optional. Minimum progress display update interval, in iterations. If 0 and dynamic_miniters, will automatically adjust to equal mininterval (more CPU efficient, good for tight loops). If > 0, will skip display of specified number of iterations. Tweak this and mininterval to get very efficient loops. If your progress is erratic with both fast and slow iterations (network, skipping items, etc) you should set miniters=1.

--ascii=ascii
    bool, optional. If unspecified or False, use unicode (smooth blocks) to fill the meter. The fallback is to use ASCII characters 1-9 #.

--disable=disable
    bool, optional. Whether to disable the entire progressbar wrapper [default: False]. If set to None, disable on non-TTY.

--unit=unit
    str, optional. String that will be used to define the unit of each iteration [default: it].

--unit_scale=unit_scale
    bool or int or float, optional. If 1 or True, the number of iterations will be reduced/scaled automatically and a metric prefix following the International System of Units standard will be added (kilo, mega, etc.) [default: False]. If any other non-zero number, will scale total and n.

--dynamic_ncols=dynamic_ncols
    bool, optional. If set, constantly alters ncols to the environment (allowing for window resizes) [default: False].

--smoothing=smoothing
    float, optional. Exponential moving average smoothing factor for speed estimates (ignored in GUI mode). Ranges from 0 (average speed) to 1 (current/instantaneous speed) [default: 0.3].

--bar_format=bar_format
    str, optional. Specify a custom bar string formatting. May impact performance. If unspecified, will use '{l_bar}{bar}{r_bar}', where l_bar is '{desc}: {percentage:3.0f}%|' and r_bar is '| {n_fmt}/{total_fmt} [{elapsed}<{remaining}, {rate_fmt}]' Possible vars: bar, n, n_fmt, total, total_fmt, percentage, rate, rate_fmt, elapsed, remaining, l_bar, r_bar, desc. Note that a trailing ": " is automatically removed after {desc} if the latter is empty.

--initial=initial
    int, optional. The initial counter value. Useful when restarting a progress bar [default: 0].

--position=position
    int, optional. Specify the line offset to print this bar (starting from 0) Automatic if unspecified. Useful to manage multiple bars at once (eg, from threads).

--postfix=postfix
    dict, optional. Specify additional stats to display at the end of the bar. Note: postfix is a dict ({'key': value} pairs) for this method, not a string.

--unit_divisor=unit_divisor
    float, optional. [default: 1000], ignored unless unit_scale is True.

--delim=delim
    chr, optional. Delimiting character [default: '']. Use '' for null. N.B.: on Windows systems, Python converts '' to ''.

--buf_size=buf_size
    int, optional. String buffer size in bytes [default: 256] used when delim is specified.

--bytes=bytes
    bool, optional. If true, will count bytes and ignore delim.

AUTHORS
tqdm developers <https://github.com/tqdm>.